Namespace My
    Partial Friend Class MyApplication
        Private Sub MyApplication_Startup(ByVal sender As Object, ByVal e As Microsoft.VisualBasic.ApplicationServices.StartupEventArgs) Handles Me.Startup
            Try
                Dim lCommandLine As String = ""

                If My.Application.CommandLineArgs IsNot Nothing Then
                    For intCount As Integer = 0 To My.Application.CommandLineArgs.Count - 1
                        lCommandLine &= " " & My.Application.CommandLineArgs(intCount)
                    Next
                End If



            Catch ex As Exception
                'Log exception and ask the user whether he wants to retry or exit
                My.Application.Log.WriteException(ex)
                Dim lMsg = "An error occured. Do you want to retry logging in?" & ControlChars.CrLf & ex.Message

                If MessageBox.Show(lMsg, My.Application.Info.AssemblyName, MessageBoxButtons.RetryCancel, MessageBoxIcon.Error) = DialogResult.Retry Then
                    Me.MyApplication_Startup(sender, e)
                Else
                    Environment.Exit(-1)
                End If
            End Try

        End Sub

    End Class
End Namespace