Imports Eka.Inheritance.FormsV2.CRUD

Public Class frmChild
    Inherits Eka.Inheritance.FormsV2.CRUD._BaseCRUD(Of EkaFormDataCRUD)
    Implements IBaseSearch

    Public Sub New()
        MyBase.New()
    End Sub

    Protected Overrides Sub EkaOInitializeForm()
        EkaRegisterForm()
        Text = "Child Form"
    End Sub

    Public Overridable Sub OpenForm(MainForm As BaseApplicationFormMain, Optional ByVal FormCaption As String = Nothing) Implements IBaseSearch.OpenForm
        Try

            'Save the MDI parent and the owner form (one and the same)
            Me.EkaData.MainForm = MainForm
            Me.EkaData.OwnerForm = MainForm

            If Not FormCaption Is Nothing Then
                Me.Text = FormCaption.Trim
            End If

            Me.EkaOInitializeForm()

            Me.Show()


        Catch ex As Exception
            Me.Close()

        End Try
    End Sub
End Class